Subject: [Sip] How to respond if the request has no Call-ID

From: chen jack <[email-masked]>
Date: Sun, 18 Aug 2002 04:37:28 -0700 (PDT)

Hi All:

     I agree with Mr Jack's idea, if there is no call-id, the server can discard

this request, server can think this request is an attcking message. it is better 

to discard it!!

      This is my idea, any suggestions are welcome!!

                                             Yours: Chen

==================================================

Dear All:

     According to my understanding, I think the server can discard such request,

since there is no call id, even if response back, how can it match? I think for 

important header such as From, To , Call-Id, CSeq, Via; if missing any one of them,

server should discard such request.

     Best regards!

                                    Yours: Jack

 

============================================ 

Hi,
 According to RFC 3261 section 21.4.1
"The Reason-Phrase SHOULD identify the syntax problem in more detail, for
   example, "Missing Call-ID header field"."

If a request comes without a Call-ID header field, what call-ID should the
400 response bear.

The same issue is applicable for "To" "From" CSeq" headers also.

Another issue is, if a request does not bear a "Via" header, where should
the response go, if at all the UAS decides to respond.

Thanks in advance for the responses,
Regards,
Prasanna

---------------------------------
Do You Yahoo!?
HotJobs, a Yahoo! service - Search Thousands of New Jobs